=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+](?:dfsg|ds)[0-9]*//g,repacksuffix=+ds" \
https://download.gnome.org/sources/gtk/4.18/ \
	gtk-@ANY_VERSION@@ARCHIVE_EXT@
