=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -78,9 +79,10 @@
                      libcairo2-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
+Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git -b debian/forky
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
 Homepage: https://www.gtk.org/
 
 Package: libgtk-4-1
@@ -93,13 +95,15 @@
          ${shlibs:Depends},
          libgles2,
          libgtk-4-common (>= ${source:Version})
-Provides: ${gtk:Provides}
+Provides: ${gtk:Provides},
+          libgtk-4-media-gstreamer (= ${binary:Version}),
 Recommends: ${local:Recommends},
             libgtk-4-bin,
             iso-codes,
             librsvg2-common (>= 2.52.0),
-            libgtk-4-media-gstreamer,
 Suggests: gvfs
+Breaks: libgtk-4-media-gstreamer (<< 4.19.2),
+Replaces: libgtk-4-media-gstreamer (<< 4.19.2),
 Description: GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -221,20 +225,6 @@
  This package contains the HTML documentation for the GTK library
  in /usr/share/doc/libgtk-4-doc/ .
 
-Package: libgtk-4-media-gstreamer
-Section: x11
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: GStreamer media backend for the GTK graphical user interface library
- GTK is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, GTK is suitable
- for projects ranging from small one-off tools to complete application
- suites.
- .
- This package contains the media module that uses GStreamer as backend.
-
 Package: gtk-4-examples
 Build-Profiles: <!noinsttest>
 Section: x11
