=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
                libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libtiff-dev,
                libvulkan-dev [linux-any],
-               libwayland-dev (>= 1.23.0) [linux-any],
+               libwayland-dev (>= 1.24.0) [linux-any],
                libx11-dev,
                libxcomposite-dev,
                libxcursor-dev,
