## gtk4 4.20.0+ds

=== debian/changelog ===
gtk4 (4.20.0+ds-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Aug 2025 14:17:50 -0400

gtk4 (4.19.4+ds-1) experimental; urgency=medium

  * New upstream release
  * d/p/insttests: Rebase and temporarily drop tool tests, needs rework
  * d/p/workarounds: Drop softpipe patch, it doesn't apply and should be obsolete
  * d/p/gstplay{,er}: Rework for porting from gst-player to gst-play
  * d/p: Rebase all other patches
  * d/control, d/install: Adapt to modules being statically linked in libgtk
  * d/install: Add new bash completions
  * d/libgtk-4-1.symbols: Add new symbols
  * d/p/d: Drop GSK renderer patch, use Vulkan by default like upstream
  * d/p/workarounds: Skip failing nodeparser tests on s390x
  * d/control: Bump minimum libwayland version

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 19 Aug 2025 14:40:07 +0200
