## gtk4 4.20.1+ds

=== debian/changelog ===
gtk4 (4.20.1+ds-2) unstable; urgency=medium

  * Cherry-pick 2 bug fixes, one for the cursor in gnome-calculator
    and one for mobile phone cameras
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:03:46 -0400

gtk4 (4.20.1+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum wayland-protocols

  [ Simon McVittie ]
  * Merge packaging from unstable
    - d/control: Remove Rules-Requires-Root, no longer necessary since
      trixie
    - d/control, d/gbp.conf: revert changes for this branch
    - d/patches: revert changes for this branch, the patch for #1114144
      was included in 4.19.4 already

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 11:40:55 -0400
