=== debian/control ===
--- 
+++ 
@@ -70,7 +70,7 @@
                python3-docutils <!nodoc>,
                python3-gi (>= 3.40) <!nocheck>,
                sassc,
-               wayland-protocols (>= 1.41) [linux-any],
+               wayland-protocols (>= 1.44) [linux-any],
                weston [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -78,7 +78,6 @@
                      libcairo2-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
@@ -188,7 +187,7 @@
          libxrandr-dev,
          libvulkan-dev [linux-any],
          pkgconf,
-         wayland-protocols (>= 1.41) [linux-any],
+         wayland-protocols (>= 1.44) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
