## gtk4 4.20.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -213,7 +213,6 @@
 Depends: ${misc:Depends}
 Recommends: libglib2.0-doc,
             libpango1.0-doc
-Suggests: devhelp
 Description: documentation for the GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
