## gtk4 4.20.2+ds

=== debian/changelog ===
gtk4 (4.20.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Remove 2 patches applied in new release
  * debian/watch: Only watch for stable releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 21:51:42 -0400
