## gtk4 4.20.3+ds

=== debian/changelog ===
gtk4 (4.20.3+ds-3) unstable; urgency=medium

  * libgtk-4-1: Add Recommends: ibus-gtk4 (Closes: #1115532)
  * Require librsvg >= 2.48 on all architectures
  * Remove unnecessary Priority: optional field
  * Remove unnecessary dh_gnome_clean override
  * Add dh_gnome override to avoid build log warnings

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Dec 2025 10:55:46 -0500

gtk4 (4.20.3+ds-2) unstable; urgency=medium

  * Cherry-pick 2 patches to fix 32-bit issues

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Nov 2025 09:46:28 -0500

gtk4 (4.20.3+ds-1) unstable; urgency=medium

  * New upstream release
  * missing-sources: Update emojibase
  * missing-sources: Update emoji files to 17.0
  * Remove sparc64 patch: applied in new release
  * Remove references to armel & mips since they aren't Debian architectures
    any more

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Nov 2025 11:29:22 -0500

gtk4 (4.20.2+ds-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Set DRAW_USE_LLVM=0 for softpipe architectures (Closes: #1118961)
  * Remove loong64 from the list of slow qemu architectures (Closes: #1118962)

  [ Jeremy Bícha ]
  * Cherry-pick patch to fix some test failures on sparc64 (Closes: #1118780)
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 12:40:34 -0400
