=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gtk4
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
@@ -44,9 +43,9 @@
                libpango1.0-dev (>= 1.56.0),
                libpng-dev (>= 1.6.46-2~),
                libpolkit-gobject-1-dev [linux-any],
-               librsvg2-common [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
-               librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
-               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
+               librsvg2-common (>= 2.48) <!nocheck>,
+               librsvg2-dev (>= 2.48),
+               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armhf i386 ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libtiff-dev,
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.24.0) [linux-any],
@@ -97,8 +96,9 @@
           libgtk-4-media-gstreamer (= ${binary:Version}),
 Recommends: ${local:Recommends},
             libgtk-4-bin,
+            ibus-gtk4,
             iso-codes,
-            librsvg2-common (>= 2.52.0),
+            librsvg2-common (>= 2.48),
 Suggests: gvfs
 Breaks: libgtk-4-media-gstreamer (<< 4.19.2),
 Replaces: libgtk-4-media-gstreamer (<< 4.19.2),
@@ -165,8 +165,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gtk-4.0 (= ${binary:Version}),
-         libcairo2-dev (>= 1.18.2),
+Depends: libcairo2-dev (>= 1.18.2),
          libegl1-mesa-dev [linux-any],
          libepoxy-dev (>= 1.0),
          libfontconfig-dev,
@@ -190,7 +189,6 @@
          wayland-protocols (>= 1.44) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          libgtk-4-common,
          libgtk-4-1 (= ${binary:Version})
 Suggests: libgtk-4-doc,
@@ -230,7 +228,7 @@
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version})
 Recommends: fonts-cantarell,
-            librsvg2-common (>= 2.52.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
+            librsvg2-common (>= 2.48),
 Description: example files for GTK 4
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -245,7 +243,7 @@
 Section: x11
 Architecture: any
 Depends: iso-codes,
-         librsvg2-common (>= 2.52.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
+         librsvg2-common (>= 2.48),
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version}),
@@ -266,7 +264,6 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          libgtk-4-common
 Provides: ${gir:Provides},
 Description: GTK graphical user interface library -- gir bindings
