=== debian/rules ===
--- 
+++ 
@@ -112,7 +112,7 @@
 configure_flags_deb += -Dwayland-backend=false
 endif
 
-ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)))
+ifneq (,$(filter amd64 arm64 armhf i386 ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)))
 configure_flags_deb += -Dsysprof=enabled
 else
 configure_flags_deb += -Dsysprof=disabled
@@ -216,12 +216,12 @@
 	test_backends += wayland
 endif
 
-ifneq ($(filter arm hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
+ifneq ($(filter arm hppa% sparc%,$(DEB_HOST_ARCH_CPU)),)
 $(info Slow architecture detected, increasing test timeout)
 test_timeout_multiplier = 10
 endif
 
-ifneq ($(filter loong64 m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
+ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
 $(info Architecture with qemu buildds detected, increasing test timeout a lot)
 test_timeout_multiplier = 20
 endif
@@ -276,4 +276,4 @@
 # The doc-check tests aren't passing yet
 skipped_suites += docs
 
-# mips*: many tests segfault as of 2024-09-16, see also https://bugs.debian.org/993550
+# powerpc: "LLVM ERROR: Relocation type not implemented yet!" as of 2024-09-16, https://bugs.debian.org/1081947
