## gtk4 4.21.5%2Bds

=== debian/changelog ===
gtk4 (4.21.5+ds-4) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 13:46:58 -0500

gtk4 (4.21.5+ds-3) experimental; urgency=medium

  * d/p: Add missing test files required by autopkgtests

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Feb 2026 13:15:24 -0500

gtk4 (4.21.5+ds-2) experimental; urgency=medium

  * d/rules: Skip svg testsuite
  * d/p: Backport patch for FTBFS on 32-bit architectures
  * d/p: Add proposed patch to fix GskPathBuilder on 32-bit architectures

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Feb 2026 11:16:58 +0100

gtk4 (4.21.5+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Enable sysprof support on all Linux architectures
  * d/p/gtkcssnumbervalue-Don-t-use-fesetround-on-ARM-softfloat.patch:
    Remove a patch that was only needed for armel, since Debian doesn't
    support armel in unstable or forky
  * Bump Standards Version to 4.7.3

  [ Alessandro Astone ]
  * New upstream release
  * d/p: Drop patches applied upstream
  * d/p: Rebase patches
  * d/p/workarounds: Skip vulkan tests that break lavapipe
  * d/gtk-4-examples.install: List files from GTK icon editor app
  * d/libgtk-4-1.symbols.in: Add new symbols from 4.21.x
  * d/control: Breaks xdg-desktop-portal-gnome
  * d/control: Breaks gnome-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Feb 2026 09:37:39 +0100
