=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk4
 Section: libs
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
@@ -45,7 +45,7 @@
                libpolkit-gobject-1-dev [linux-any],
                librsvg2-common (>= 2.48) <!nocheck>,
                librsvg2-dev (>= 2.48),
-               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armhf i386 ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
+               libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
                libtiff-dev,
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.24.0) [linux-any],
@@ -77,7 +77,7 @@
                      libcairo2-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
 Homepage: https://www.gtk.org/
@@ -101,6 +101,8 @@
             librsvg2-common (>= 2.48),
 Suggests: gvfs
 Breaks: libgtk-4-media-gstreamer (<< 4.19.2),
+        xdg-desktop-portal-gnome (<< 50~),
+        gnome-control-center (<< 1:50~),
 Replaces: libgtk-4-media-gstreamer (<< 4.19.2),
 Description: GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
@@ -228,6 +230,7 @@
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version})
 Recommends: fonts-cantarell,
+            highlight,
             librsvg2-common (>= 2.48),
 Description: example files for GTK 4
  GTK is a multi-platform toolkit for creating graphical user
