=== debian/rules ===
--- 
+++ 
@@ -106,16 +106,12 @@
 endif
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
+configure_flags_deb += -Dsysprof=enabled
 configure_flags_deb += -Dwayland-backend=true
 else
+configure_flags_deb += -Dsysprof=disabled
 configure_flags_deb += -Dvulkan=disabled
 configure_flags_deb += -Dwayland-backend=false
-endif
-
-ifneq (,$(filter amd64 arm64 armhf i386 ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)))
-configure_flags_deb += -Dsysprof=enabled
-else
-configure_flags_deb += -Dsysprof=disabled
 endif
 
 ifeq ($(filter %-doc,$(built_binaries)),)
@@ -271,9 +267,13 @@
 	gsk-compare-ngl \
 	gsk-compare-vulkan \
 	needs-udmabuf \
+	svg \
 	$(NULL)
 
 # The doc-check tests aren't passing yet
 skipped_suites += docs
 
 # powerpc: "LLVM ERROR: Relocation type not implemented yet!" as of 2024-09-16, https://bugs.debian.org/1081947
+# sparc*: "Target has no JIT support" as of 2024-09-16, https://bugs.debian.org/1081943
+ifneq ($(filter powerpc sparc%,$(DEB_HOST_ARCH_CPU)),)
+$(info Disabling use of llvmpipe on this CPU)
